Skip to main content
`Ctrl`+`K`

# VecGetArrayPair

Accesses a pair of pointers for two vectors that may be common. When the vectors are not the same the first pointer is read only

## Synopsis

    static inline PetscErrorCode VecGetArrayPair(Vec x, Vec y, PetscScalar *xv[], PetscScalar *yv[])

Logically Collective; No Fortran Support

## Input Parameters

- x - the vector

- y - the second vector

## Output Parameters

- xv - location to put pointer to the first array

- yv - location to put pointer to the second array

## See Also

Vectors and Parallel Data, `VecGetArray()`, `VecGetArrayRead()`, `VecRestoreArrayPair()`

## Level

developer

## Location

include/petscvec.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages